Subject: bug#2356: 23.0.90; customize-group of flymake signals error

From: martin rudalics <[email-masked]>
Date: Wed, 18 Feb 2009 14:03:08 +0100

> 1- the `flymake' group is missing: plase install your suggested patch, Martin.

Done.

 > 2- customize-group should signals the error in a cleaner way
 >    (especially since it happily completed the word "flymake").

It "completes" because apparently `custom-make-dependencies', when
reading defcustoms from flymake.el, concludes that `flymake' is a valid
customization group and adds a

(put 'flymake 'custom-loads '(flymake))

to cus-load.el.

I now don't raise an error any more.  If you think some signalling is
needed, please tell me what kind of message you want and what its text
should be.

martin